Accepted strongswan 2.8.0+dfsg-1 (source)

Scott James Remnant scott at ubuntu.com
Fri Nov 17 02:36:27 GMT 2006


Accepted:
strongswan 2.8.0+dfsg-1 was ACCEPTED.
	Component: universe Section: net

Origin: Debian/unstable
Format: 1.7
Date: Fri,  17 Nov 2006 00:13:20 +0000
Source: strongswan
Binary: strongswan
Architecture: source
Version: 2.8.0+dfsg-1
Distribution: feisty
Urgency: low
Maintainer: Rene Mayrhofer <rmayr at debian.org>
Changed-By: Scott James Remnant <scott at ubuntu.com>
Description: 
 strongswan - IPSec utilities for strongSwan
Closes: 372267 372267 388672 389253 391457 391565 396179
Changes: 
 strongswan (2.8.0+dfsg-1) unstable; urgency=low
 .
   * New upstream release.
   * Update debconf templates.
     Closes: #388672: strongswan: [INTL:fr] French debconf templates
                      translation update
     Closes: #389253: [l10n] Updated Czech translation of strongswan
                      debconf messages
     Closes: #391457: [INTL:nl] Updated dutch po-debconf translation 
     Closes: #396179: strongswan: [INTL:ja] Updated Japanese po-debconf
                      template translation (ja.po)
   * Fix broken reference to a now non-existing config file. no_oe.conf
     has been replaced by oe.conf, with the opposite meaning. Changed
     postinst to deal with it correctly now, and also try to convert
     older config file lines to newer (e.g. when updating from openswan
     to strongswan).
     Closes: #391565: fails to start : /etc/ipsec.conf:46: include
                      files found no matches 
 		     [/etc/ipsec.d/examples/no_oe.conf]
 .
 strongswan (2.7.3+dfsg-1) unstable; urgency=low
 .
   * New upstream release. Another try on getting it into unstable.
     Closes: #372267: ITP: strongswan -- second fork of freeswan.
   * Call debian-updatepo in the clean target, in line with the openswan
     change for its version 2.4.6+dfsg-1.
   * Remove man2html, htmldoc, and lynx from the Build-Deps because we no
     longer rebuild the documentation tree.
   * Starting shipping a lintian overrides file to finally silence the 
     warnings about non-standard-(file|dir)-perms (they are intentional).
   * Clean up /usr/lib/ipsec somehow, again owing to lintian warnings.
   * Add po-debconf to build dependencies.
     
 .
 strongswan (2.7.2+dfsg-1) unstable; urgency=low
 .
   * First upload to the main Debian archive. This does no longer build
     the linux-patch-strongswan and strongswan-modules-source packages,
     as KLIPS will be removed from the strongswan upstream source anyway
     for the next major release. However, the openswan KLIPS could should
     be interoperable with strongswan user space.
     Closes: #372267: ITP: strongswan -- second fork of freeswan.
   * This upload removes the draft RFCs, as they are not considered free under
     the DFSG.
 .
 strongswan (2.7.2-1) unstable; urgency=low
 .
   * New upstream release. This release fixes a potential DoS problem.
  
 strongswan (2.7.0-1) unstable; urgency=low
 .
   * Initial Debian packaging of strongswan. This is directly based on my
     Debian package of openswan 2.4.5-3.
   * Do not compile and ship fswcert right now, because it is not included
     in strongswan upstream. If it turns out to be necessary for supporting
     easy-to-use OE in the future (i.e. for generating the DNS format for the
     public keys from generated X.509 certificates), I will re-add it to the
     Debian package.
   * Also disabled my patches to use /etc/default instead of /etc/sysconfig for
     now. Something like that will be necessary in the future, but those parts
     of strongswan differ significanty from openswan.
 .
 Local variables:
 mode: debian-changelog
 End:
Files: 
 96d0c747e4c7ef37dda05147ecad3635 57154 net optional strongswan_2.8.0+dfsg-1.diff.gz
 64cc76d01f2ca038551ab9a5d50b4acb 791 net optional strongswan_2.8.0+dfsg-1.dsc
 8b9ac905b9bcd41fb826e3d67e90a33d 3155518 net optional strongswan_2.8.0+dfsg.orig.tar.gz





More information about the feisty-changes mailing list